#@TYPE: Machine
#@NAME: Linksys NSLU2 (little-endian)
#@DESCRIPTION: Machine configuration for an NSLU2 in little-endian mode

TARGET_ARCH = "arm"

PACKAGE_EXTRA_ARCHS = "armv4 armv4t armv5e armv5te ixp4xxle"

OVERRIDES = "local:${MACHINE}:nslu2:ixp4xx:${DISTRO}:${TARGET_OS}:${TARGET_ARCH}:build-${BUILD_OS}:fail-fast:pn-${PN}"

ROOT_FLASH_SIZE ?= "6"

require conf/machine/include/ixp4xx.inc

EXTRA_IMAGECMD_jffs2 += "--little-endian"

INHERIT += "nslu2-image"
